Luxor Documentation Hub Logo
Luxor Platform/API Documentation/Commander

Create agent

Provisions a new Commander agent. The caller provides the agent secret.

POST
/v2/commander/agents

Authorization

authorization<token>

Use your API key here.

In: header

Request Body

application/jsonRequired
nameRequiredstring
Minimum length: 1
site_idRequiredstring
Format: "uuid"
planRequiredstring
Value in: "lite" | "pro"
secretRequiredstring
Minimum length: 16
scan_rangesarray<object>
firmware_credentialsarray<object>
curl -X POST "https://app.luxor.tech/api/v2/commander/agents" \
  -H "authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",
    "plan": "lite",
    "secret": "stringstringstri",
    "scan_ranges": [
      {
        "type": "ip_range",
        "value": "string"
      }
    ],
    "firmware_credentials": [
      {
        "firmware": "Whatsminer",
        "username": "string",
        "password": "string"
      }
    ]
  }'

Default Response

{
  "id": "1d786ea1-9400-4566-94be-d5f400e0490b",
  "url": "/v2/commander/agents/1d786ea1-9400-4566-94be-d5f400e0490b"
}